#
# Example config created by SilentRage @ www.dollardns.net
#
# Requires:
# http://www.dollardns.net/bind/named.ca
#
options {
	# Set the working directory from which all relative paths are based
	# For the win2k default install: "C:\WINNT\system32\dns\etc"
	#
	directory "/var/named";

	# RECURSION - Required for caching servers
	# Default: yes
	# Values : yes, no
	#
	# yes: Attempt to resolve requests we are not authoritative for
	# no : Do not resolve requests we are not authoritative for
	#
	recursion yes;

	# ALLOW-RECURSION - Who may use our caching server?
	# Default: any;
	# Values : any, none, (addresslist)
	# 
	# any    : anybody may use the caching server
	# none   : noone may use the caching server
	# address: List of IP addresses that may use the caching server.
	#
	allow-recursion { localhost; localnets; };

	# FORWARD - Recommended for caching servers
	# Default: first
	# Values : first, only
	#
	# first: Query "forwarders" first, then resolve request ourself
	# only : Only query the "forwarders" to resolve requests
	#
	#forward first;

	# FORWARDERS - Required if "forward" is used
	# Default: (no forwarding)
	# Values : (addresslist)
	#
	# It is recommended that you use your ISP's caching server addresses
	# Example: forwarders { 127.0.0.1; 127.0.0.2; }
	#
	#forwarders { };

	# QUERY SOURCE - Useful for caching servers behind a firewall
	# Default: address * port *
	# Values : The IP address and port to use as the source of queries to other servers
	#
	query-source address * port 53;
};

# Setup logging
logging {
	# Each channel defines a file path and what to log
	# Each category is a type of event you wish to log
	# You define channels and associate them with a category to log events
	#
	channel query_logging {
		# If you enable query logging, make sure to change the path to a valid directory
		#
		# version: number of backups created if size exceeded
		# size   : maximum size of log file
		#
		#file "/var/log/named/query.log" versions 3 size 100M;

		# Time stamp entries
		#
		print-time yes;
	};
	category queries {
		# Uncomment the below line to enable query logging
		# Also uncomment the logfile path above
		#
		#query_logging;
	};
	category lame-servers { null; };
};

# Specify the root name servers
zone "." IN {
	type hint;
	file "named.ca";
};
